Get accounts
Use this endpoint to retrieve a list of Accounts available to your API key. Use this when you need to discover which Accounts you have access to, find a specific Account by name, or load Account options into your UI.
Filtering options:
filter[name]- case-insensitive substring match on Account namefields- comma-separated list of fields to return. Valid values:id,name,createdAt,updatedAt,companyId,fullSnappy-Account-Idheader - optional account scopingSnappy-Company-Idheader - optional company scopingRequest-Sourceheader - source of the request (api_native,api_zapier,api_salesforce,api_ftp,api_make).
Pagination:
page[number]- 1-indexed page number (default1).page[size]- Accounts per page (max1000, default100).
Permissions
- Requires:
accounts:read
Authorizations
Company Level Authentication
Include your API key in the X-Api-Key header for every request:
X-Api-Key: YOUR_API_KEYHeaders
Optional account identifier for swag validation/filtering.
"acc123456"
Optional company identifier for swag validation/filtering.
"cmp123456"
Query Parameters
Case-insensitive substring filter on account name.
"Snappy"
Comma-separated field projection. Valid values: id, name, createdAt, updatedAt, companyId, full.
1The fields that can be returned for the account. Valid values are: id, name, createdAt, updatedAt, companyId, full.
id, name, createdAt, updatedAt, companyId, full ["full"]1-indexed page number.
x >= 11
Number of accounts per page (max 1000, default 100).
1 <= x <= 1000100
Response
Page of accounts plus pagination links.
Paginated accounts response.